Skip to main content
PUT
/
contacts
/
{id}
Update a contact
curl --request PUT \
  --url https://api.nateq.io/api/v1/contacts/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "avatar": "<string>",
  "channelData": "<string>",
  "companyId": "<string>",
  "country": "<string>",
  "doNotContact": true,
  "email": "<string>",
  "externalId": "<string>",
  "isAnonymous": true,
  "isPotentialClient": true,
  "language": "<string>",
  "name": "<string>",
  "phone": "<string>",
  "position": "<string>",
  "source": "<string>"
}
'
{
  "data": {
    "activities": [
      {
        "actorId": "<string>",
        "actorName": "<string>",
        "actorType": "<string>",
        "contactId": "<string>",
        "createdAt": "<string>",
        "description": "<string>",
        "id": "<string>",
        "metadata": "<string>",
        "newValue": "<string>",
        "oldValue": "<string>",
        "updatedAt": "<string>"
      }
    ],
    "avatar": "<string>",
    "channelData": "<string>",
    "company": {
      "domain": "<string>",
      "id": "<string>",
      "name": "<string>"
    },
    "companyId": "<string>",
    "companyName": "<string>",
    "country": "<string>",
    "createdAt": "<string>",
    "doNotContact": true,
    "email": "<string>",
    "externalId": "<string>",
    "id": "<string>",
    "isAnonymous": true,
    "isPotentialClient": true,
    "language": "<string>",
    "name": "<string>",
    "organizationId": "<string>",
    "phone": "<string>",
    "position": "<string>",
    "source": "<string>",
    "tags": [
      {
        "color": "<string>",
        "createdAt": "<string>",
        "displayName": "<string>",
        "id": "<string>",
        "name": "<string>",
        "organizationId": "<string>",
        "updatedAt": "<string>"
      }
    ],
    "updatedAt": "<string>",
    "whatsappOptedOut": true,
    "whatsappOptedOutAt": "<string>"
  },
  "error": {
    "code": "<string>",
    "details": "<unknown>",
    "message": "<string>"
  },
  "message": "<string>",
  "meta": {
    "count": 123,
    "endCursor": "<string>",
    "hasNext": true,
    "hasPrevious": true,
    "limit": 123,
    "page": 123,
    "pageSize": 123,
    "pendingCount": 123,
    "startCursor": "<string>",
    "total": 123,
    "totalPages": 123
  },
  "success": true
}

Authorizations

Authorization
string
header
required

Your API key as a Bearer token: Authorization: Bearer tg_live_...

Path Parameters

id
string
required

Contact ID

Body

application/json

Fields to update

avatar
string
channelData
string
companyId
string
country
string
Maximum string length: 100
doNotContact
boolean
email
string
Maximum string length: 255
externalId
string
Maximum string length: 255
isAnonymous
boolean
isPotentialClient
boolean
language
string
Maximum string length: 10
name
string
Maximum string length: 255
phone
string
Maximum string length: 50
position
string
Maximum string length: 255
source
string
Maximum string length: 100
type
enum<string>
Available options:
contact,
guest,
customer

Response

OK

data
object
error
object
message
string
meta
object
success
boolean